Summary: Framework for working with bibliographic databases
Name: pybliographer
Version: 1.2.13
Release: 1%{?dist}
License: GPLv2+ and GFDL
Group: Applications/Publishing
Source: http://downloads.sourceforge.net/pybliographer/pybliographer-1.2.13.tar.gz
Url: http://www.pybliographer.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: pygtk2-libglade
BuildRequires: gnome-python2-gnome
BuildRequires: gnome-python2-gconf
BuildRequires: python-bibtex
BuildRequires: gettext
BuildRequires: scrollkeeper
BuildRequires: desktop-file-utils

Requires: pygtk2-libglade
Requires: gnome-python2-gnome
Requires: gnome-python2-gconf
Requires: gnome-python2-gnomevfs
Requires: python-bibtex
Requires: xorg-x11-fonts-75dpi

Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


%description
Pybliographer is a tool for managing bibliographic databases. It can be
used for searching, editing, reformatting, etc. In fact, it's a simple
framework that provides easy to use python classes and functions, and
therefore can be extended to many uses (generating HTML pages according
to bibliographic searches, etc).
In addition to the scripting environment, a graphical Gnome interface
is available. It provides powerful editing capabilities, a nice
hierarchical search mechanism, direct insertion of references into LyX,
direct queries on Medline, and more. It currently supports the following
file formats: BibTeX, ISI, Medline, Ovid, Refer.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%__rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache

desktop-file-install --vendor fedora --delete-original      \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Fedora                                   \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%__rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper


%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
scrollkeeper-update

# run update-desktop-database if exists
if [ -x /usr/bin/update-desktop-database ]; then
	/usr/bin/update-desktop-database %{_datadir}/applications
fi


%postun
scrollkeeper-update

# run update-desktop-database if exists
if [ -x /usr/bin/update-desktop-database ]; then
	/usr/bin/update-desktop-database %{_datadir}/applications
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog* NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/fedora-pybliographic.desktop
%{_datadir}/gnome/help/pybliographer
%{_datadir}/mime-info/*
%{_datadir}/omf/pybliographer
%{_datadir}/pixmaps/*
%dir %{_datadir}/pybliographer
%{_datadir}/pybliographer/Pyblio
%{_datadir}/pybliographer/Styles
%{_datadir}/pybliographer/pybcheck.py*
%{_datadir}/pybliographer/pybcompact.py*
%{_datadir}/pybliographer/pybconvert.py*
%{_datadir}/pybliographer/pybformat.py*
%{_datadir}/pybliographer/pybliographic.py*
%{_datadir}/pybliographer/pybtex.py*
%{_datadir}/pybliographer/pybtext.py*
%config %{_datadir}/pybliographer/pybrc.py*


%changelog
* Mon Jul 19 2010 Zoltan Kota <z.kota at gmx.net> - 1.2.13-1
- update to 1.2.13

* Thu Mar 25 2010 Zoltan Kota <z.kota at gmx.net> - 1.2.12-5
- Require xorg-x11-fonts-75dpi. Fix bug #575380.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.12-2
- Rebuild for Python 2.6

* Mon Dec 01 2008 Zoltan Kota <z.kota at gmx.net> - 1.2.12-1
- update to 1.2.12
- drop patch, fixed upstream

* Mon Oct 06 2008 Zoltan Kota <z.kota at gmx.net> - 1.2.11-4
- we need gnome-python2-gnome for building as well,
  added to buildreqs

* Sun Oct 05 2008 Zoltan Kota <z.kota at gmx.net> - 1.2.11-3
- fix gnome-python2 requirements (bug #465563)

* Fri Jan 25 2008 Zoltan Kota <z.kota at gmx.net> - 1.2.11-2
- add patch for fixing bug #428121

* Wed Sep 26 2007 Zoltan Kota <z.kota at gmx.net> - 1.2.11-1
- update to 1.2.11

* Mon Jan 22 2007 Zoltan Kota <z.kota at gmx.net> - 1.2.10-1
- update to 1.2.10

* Fri Sep 15 2006 Zoltan Kota <z.kota at gmx.net> - 1.2.9-2
- rebuild for FC6
- remove ghost for pyo files

* Thu Jul 13 2006 Zoltan Kota <z.kota at gmx.net> - 1.2.9-1
- update to 1.2.9

* Mon Feb 13 2006 Zoltan Kota <z.kota at gmx.net> - 1.2.8-2
- rebuild

* Mon Jan 23 2006 Zoltan Kota <z.kota at gmx.net> - 1.2.8-1
- update to 1.2.8
- drop patches, fixed upstream

* Tue Dec 20 2005 Zoltan Kota <z.kota at gmx.net> - 1.2.7-2
- add patches for fixing different bugs

* Fri Oct 15 2005 Zoltan Kota <z.kota at gmx.net> - 1.2.7-1
- update to 1.2.7
- drop gnome-help.patch, fixed upstream
- fix requirements
- add dist tag
- add patch for fixing configure problem

* Thu Jun 30 2005 Zoltan Kota <z.kota at gmx.net> - 1.2.6.2-4
- rebuild

* Wed Mar 30 2005 Zoltan Kota <z.kota at gmx.net> - 1.2.6.2-3
- rebuild

* Fri Mar 25 2005 Zoltan Kota <z.kota at gmx.net> - 1.2.6.2-2
- add patch for gnome help display
- update gnome-python2 requirements

* Tue Feb 22 2005 Zoltan Kota <z.kota at gmx.net> - 0:1.2.6.2-1
- update to 1.2.6.2

* Mon Nov 29 2004 Zoltan Kota <z.kota at gmx.net> - 0:1.2.5-1
- removed redundant dependencies
- fixed directories in file list
- fixed scrollkeeper and desktop-file-utils requirements

* Fri Nov 26 2004 Zoltan Kota <z.kota at gmx.net> - 0:1.2.5-0.fdr.1
- update to 1.2.5
- check for update-desktop-database (new mime system),
  so requires desktop-file-utils
- removed intltool from buildreq, this stuff is used now
  in the make-dist phase
- (re)compile pyc and pyo files. pyo and redundant pyc
  files are ghosted

* Mon Jul 19 2004 Zoltan Kota <z.kota at gmx.net> - 0:1.2.4-0.fdr.1
- update to 1.2.4
- using macros for rm and localstatedir

* Tue Mar 23 2004 Zoltan Kota <z.kota at gmx.net> - 0:1.2.3-0.fdr.1
- initial rpm release
